<?php
	//Get system name
	if(file_exists("backend/name.txt") && file_get_contents("backend/name.txt") != "")
	{
		$sysname=file_get_contents("backend/name.txt") . " ";
	}
	else
	{
		$sysname="";
	}
?>
<?php
	//Open session
	session_start();
?>
<?php
	//Baselist page error handlers
	if(isset($_GET['status']))
	{
		if($_GET['status'] == 0)
		{
			echo ("Successfully set contents of song list to the base list.<br>\r\n");
		}
		elseif($_GET['status'] == 1)
		{
			echo ("Failed to set contents of song list to the base list. You do not have permission to do that.<br>\r\n");
		}
		elseif($_GET['status'] == 2)
		{
			echo ("Failed to set contents of song list to the base list. Either the song list or the base list (or both) needs prompt microwaving.<br>\r\n");
		}
		else
		{
			echo ("Failed to change song list. Some wicked unidentifiable problem occurred and the whole system needs prompt microwaving.<br>\r\n");
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="backend/favicon.ico">
    <title><?php echo $sysname; ?>Music Request System-Edit Song List</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
<?php
	if($_POST['s'] == "y")
	{
		//Begin submission
		$status=2;
		if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
		{
			//Change the timezone
			if(file_exists("backend/timezone.txt"))
			{
				date_default_timezone_set(file_get_contents("backend/timezone.txt"));
			}
			else
			{
				date_default_timezone_set("America/Toronto");
			}
			//Logging enabled
			$ip=$_SERVER['REMOTE_ADDR'];
			$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Failed to open file \"log/" . date("Ymd") . ".txt\" in append mode. It should now be microwaved.");
			//Write contents of submission to song list
			$fh2=fopen("backend/songlist.txt",'w');
			if($fh2)
			{
				//Remove URL-breaking characters from list
				$list=strip_tags($_POST['list']);
				$list=str_replace("\"","'",$list);
				$list=str_replace("&"," and ",$list);
				$list=str_replace("+"," and ",$list);
				//File opened successfully
				fwrite($fh2,stripcslashes($list));
				fclose($fh2);
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Changed song list\r\n");
				fclose($fh);
				$status=0;
			}
			else
			{
				//Failed to open file
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Failed to change song list\r\n");
				fclose($fh);
				$status=1;
			}
		}
		else
		{
			//Write contents of submission to song list
			$fh2=fopen("backend/songlist.txt",'w');
			if($fh2)
			{
				//Remove URL-breaking characters from list
				$list=strip_tags($_POST['list']);
				$list=str_replace("\"","'",$list);
				$list=str_replace("&"," and ",$list);
				$list=str_replace("+"," and ",$list);
				//File opened successfully
				fwrite($fh2,stripcslashes($list));
				fclose($fh2);
				$status=0;
			}
			else
			{
				//Failed to open file
				$status=1;
			}
		}
		echo("<script type=\"text/javascript\">window.location = \"admin.php?slstatus=$status\"</script>");
	}
	else
	{
		if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
		{
			//Change the timezone
			if(file_exists("backend/timezone.txt"))
			{
				date_default_timezone_set(file_get_contents("backend/timezone.txt"));
			}
			else
			{
				date_default_timezone_set("America/Toronto");
			}
			//Logging enabled
			$ip=$_SERVER['REMOTE_ADDR'];
			$date=date("g:i:s");
			$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Failed to open file \"log/" . date("Ymd") . ".txt\" in append mode. It should now be microwaved.");
			fwrite($fh,$ip . " at " . $date . ": Visited list editing page\r\n");
			if($_SESSION['sradmin'] != "y")
			{
				//User is not administrator
				fclose($fh);
				die("You are not an administrator. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
			}
			//Get song list, or state that there are no songs
			if(file_exists("backend/songlist.txt") && file_get_contents("backend/songlist.txt") != "")
			{
				$list=file_get_contents("backend/songlist.txt");
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Got song list\r\n");
			}
			else
			{
				$list="";
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Got song list, but it was empty\r\n");
			}
			fclose($fh);
		}
		else
		{
			//Logging disabled
			if($_SESSION['sradmin'] != "y")
			{
				//User is not administrator
				die("You are not an administrator. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
			}
			//Get list of songs, or state that there are no songs
			if(file_exists("backend/songlist.txt") && file_get_contents("backend/songlist.txt") != "")
			{
				$list=file_get_contents("backend/songlist.txt");
			}
			else
			{
				$list="";
			}
		}
	}
?>
  </head>
  <body>
  <h1 style="text-align:center; text-decoration:underline;"><?php echo $sysname; ?>MRS-Edit Song List</h1>
  <p><a href="baselist.php">Set current song list as base list</a> or <a href="ebaselist.php">Edit the base list directly</a></p>
  <p><b><u>WARNING:</u></b> The format of this list is "Artist|Title|Album|Year". Likewise, there are characters (such as &amp; and +) that are not compatible with the request handling mechanisms and should not be used. Not following either of these conventions <b>WILL</b> break the system (although it should filter out at least some of the latter)!</p>
  <form method="post" action="listedit.php">
  <input type="hidden" name="s" value="y">
  <textarea name="list" rows="30" cols="100" required="required"><?php echo stripcslashes($list); ?></textarea><br>
  <input type="submit"><input type="button" value="Cancel" onclick="window.location.href='admin.php'">
  </form>
  </body>
</html>